Package org.apache.sis.coverage.grid

## Class DisjointExtentException

- Object
- - Throwable
  - - Exception
    - - RuntimeException
      - - IllegalArgumentException
        - - IllegalGridGeometryException
          - - DisjointExtentException

- All Implemented Interfaces:
    `Serializable`

      public class DisjointExtentException
      extends IllegalGridGeometryException

  Thrown when operations on a `GridGeometry` result in an area which does not intersect anymore the `GridExtent` of the `GridGeometry`.
  Since:
    1.0
  See Also:
    Serialized Form

  Defined in the `sis-feature` module

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DisjointExtentException()` | Constructs an exception with no detail message.
    `DisjointExtentException​(String message)` | Constructs an exception with the specified detail message.
    `DisjointExtentException​(String message, Throwable cause)` | Constructs an exception with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DisjointExtentException

          public DisjointExtentException()

      Constructs an exception with no detail message.

    - #### DisjointExtentException

          public DisjointExtentException​(String message)

      Constructs an exception with the specified detail message.
      Parameters:
        `message` - the detail message.

    - #### DisjointExtentException

          public DisjointExtentException​(String message,
                                         Throwable cause)

      Constructs an exception with the specified detail message and cause.
      Parameters:
        `message` - the detail message.
        `cause` - the cause for this exception.